Description

Hi !

I'm integrating a custom Redmine front-end in our customer portal via the REST API. We are in need for comments (still in REST).

As it is a feature we would like to have in the next few months, we are ready to help you in the development effort.

History

#1 - 2011-05-05 10:32 - Emmanuel Bourgerie

I took a look at the code, journals seem to be implemented in models/show.api.rsb.

But, as far as I understood (I'm quite new to RoR), it has to be enabled :

  api.array :journals do

    @issue.journals.each do |journal|

      api.journal :id => journal.id do

        [...]

      end

    end

  end if include_in_api_response?('journals')

 My question is : where can this parameter be set ? I manually removed if include[...] to test, it seems to be working.

#2 - 2011-05-05 10:45 - Emmanuel Bourgerie

- Status changed from New to Resolved

Found it : just had to do something like :

GET /issues/1.xml?include=journals

#3 - 2011-08-15 18:33 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.tcpdf.org

